[Intel-gfx] [maintainer-tools PATCH 6/6] dim: add command to check for dim updates
Jani Nikula
jani.nikula at intel.com
Tue Oct 11 08:47:32 UTC 2016
Add a command to check if the user is running an up-to-date version of
dim.
Signed-off-by: Jani Nikula <jani.nikula at intel.com>
---
dim | 21 +++++++++++++++++++++
dim.rst | 4 ++++
2 files changed, 25 insertions(+)
diff --git a/dim b/dim
index bef7bb6c401b..5fb3a0fee7ff 100755
--- a/dim
+++ b/dim
@@ -179,6 +179,27 @@ if [ "$subcommand" != "setup" -a "$subcommand" != "help" -a "$subcommand" != "us
xargs -n 1 echo | grep '^origin' | sed -e 's/^origin\///'`
fi
+function dim_uptodate
+{
+ local using="${BASH_SOURCE[0]}"
+
+ if [[ ! -e "$using" ]]; then
+ echo "$dim: could not figure out the version being used ($using)." >&2
+ exit 1
+ fi
+
+ if [[ ! -e "$DIM_PREFIX/maintainer-tools/.git" ]]; then
+ echo "$dim: could not find the upstream repo for $dim." >&2
+ exit 1
+ fi
+
+ if ! git --git-dir=$DIM_PREFIX/maintainer-tools/.git show origin/maintainer-tools:dim |\
+ diff "$using" - >& /dev/null; then
+ echo "$dim: not running upstream version of the script." >&2
+ exit 1
+ fi
+}
+
# get message id from file
# $1 = file
message_get_id ()
diff --git a/dim.rst b/dim.rst
index 7244052dea03..85de95796611 100644
--- a/dim.rst
+++ b/dim.rst
@@ -317,6 +317,10 @@ list-upstreams
List of all upstreams commonly used for pull requests. Useful for autocompletion
scripts.
+uptodate
+--------
+Try to check if you're running an up-to-date version of **dim**.
+
help
----
Show this help. Install **rst2man(1)** for best results.
--
2.1.4
More information about the Intel-gfx
mailing list